<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <!-- Make it clear that this is optimised for mobile devices -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Weather data charted</title>
  <link rel="stylesheet" href="./css/weather.css">
<script type="text/javascript"
src="https://www.gstatic.com/charts/loader.js"></script>
<script src="./js/weather.js"></script>
</head>

<body>
<main>
<H1>Data from Angus's Weather Station</H1>
<p>My son's weather station has an anemometer, temperature sensor, rain gauge, and enviro pHAT (used to measure air pressure
and light levels) connected to a pi zero w, mounted on the roof of our house. It sends readings to a google spreadsheet,
and this web page pulls data from that spread sheet to visualise.</p>
<p>Select which two readings you would like to view:</p>
<div id="controls">
<form id="y_axis_left" onChange="drawChart();">
<fieldset>
<legend>For the left axis: </legend>
  <input type="radio" name="y_left" value="B" checked> Temperature (Celcius)<br>
  <input type="radio" name="y_left" value="C"> Presssure (hPa)<br>
  <input type="radio" name="y_left" value="D"> Wind Speed (km/h)<br>
  <input type="radio" name="y_left" value="E"> Rainfall since midnight (mm)<br>
  <input type="radio" name="y_left" value="F"> Light (Lux)<br>
</fieldset>
</form>
<form id="y_axis_right" onChange="drawChart();">
<fieldset>
<legend>For the right axis: </legend>
  <input type="radio" name="y_right" value="B"> Temperature (Celcius)<br>
  <input type="radio" name="y_right" value="C" checked> Presssure (hPa)<br>
  <input type="radio" name="y_right" value="D"> Wind Speed (km/h)<br>
  <input type="radio" name="y_right" value="E"> Rainfall since midnight (mm)<br>
  <input type="radio" name="y_right" value="F"> Light (Lux)<br>
</fieldset>
</form>
</div>
  <div id="chart_div"></div>
  <section class="date-range">
Date/time range to display (default is last week). Move the
sliders or set the dates in the text boxes:<br>
<div id="range_labels">
    <div id="min_date_label"></div>
    <div id="max_date_label"></div>
</div>
      <section class="range-slider">
          <span class="rangeValues"></span>
          <input type="range" id="min_date_slider">
          <input type="range" id="max_date_slider"><br>
      </section>
      Start date/time: <input type="text" name="start_date" id="min_date_field" size="40" onChange="minDateChange();"><br>
      End date/time: <input type="text" name="end_date" id="max_date_field" size="40" onChange="maxDateChange();"
alighn="right"><br>
  </section>
  <section id="current-stats">
  <div id="wind_gauge_div"></div>
  <div id="stats"></div>
  <section>
<!---
<button id="refresh" onClick="toggle_update();updateData()">Turn off auto-update</button>
---!>
</main>
</body>
</html>
